petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPartitionerMatPartitioningGetMatPartitioning

Get a MatPartitioning instance wrapped by this PetscPartitioner.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerMatPartitioningGetMatPartitioning(PetscPartitioner part, MatPartitioning *mp)

Not Collective

### Input Parameters

part -The PetscPartitioner

### Output Parameters

mp -The MatPartitioning

### See Also

PetscPartitionerMatPartitioningSetMatPartitioning(), DMPlexDistribute(), PetscPartitionerCreate()

### Level

developer

### Location

src/dm/impls/plex/petscpartmatpart.c

### Implementations

PetscPartitionerMatPartitioningGetMatPartitioning_MatPartitioning in src/dm/impls/plex/petscpartmatpart.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages